#ifndef SINGLETON_HH
#define SINGLETON_HH

#include "RootManager.hh"

class Singleton
{
public:
  Singleton();
  ~Singleton();

private:
  static Singleton* theSingleton;
  RootManager root;

public:
  static Singleton* GetSingleton();
  RootManager* GetRootManager(){return &root;}
};

inline Singleton* Singleton::GetSingleton()
{
  if ( theSingleton == 0 ) {
    theSingleton = new Singleton();
  }
  return theSingleton ;
}

#endif
